Ir para o conteúdo
Documentação do Endless

Acquire conversation run lock

POST
/conversations/{conversation_id}/run

Acquire conversation run lock. Scoped to the conversation named by conversation_id.

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token from authentication

In: header

Path Parameters

conversation_id*string
Formatuuid

Header Parameters

Endless-Api-Version?string

Pin the caller to an API major (1). Omit to accept the current version. A major this deployment cannot serve is refused with 400 unsupported_api_version.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/conversations/0191e5a2-5f18-7d63-b016-8c4a9e2f7b51/run" \  -H "Content-Type: application/json" \  -d '{    "run_id": "string"  }'
{  "acquired": true,  "shared": true,  "visibility": "private",  "group": {    "authors": [      {        "user_id": "string",        "name": "string"      }    ],    "message_authors": {      "property1": "string",      "property2": "string"    }  }}